
locals {
  active = var.active
  associate_public_ip_address = var.associate_public_ip_address
  cpu_core_count = var.cpu_core_count
  create_lifecycle_hook = var.create_lifecycle_hook
  create_scaling_configuration = var.create_scaling_configuration
  data_disk_category = var.data_disk_category
  data_disk_size = var.data_disk_size
  data_disks = var.data_disks
  db_instance_ids = var.db_instance_ids
  default_cooldown = var.default_cooldown
  enable = var.enable
  filter_with_name_regex = var.filter_with_name_regex
  filter_with_tags = var.filter_with_tags
  force_delete = var.force_delete
  heartbeat_timeout = var.heartbeat_timeout
  hook_action_policy = var.hook_action_policy
  image_id = var.image_id
  image_name_regex = var.image_name_regex
  image_owners = var.image_owners
  instance_name = var.instance_name
  instance_type = var.instance_type
  instance_types = var.instance_types
  internet_charge_type = var.internet_charge_type
  internet_max_bandwidth_in = var.internet_max_bandwidth_in
  internet_max_bandwidth_out = var.internet_max_bandwidth_out
  key_name = var.key_name
  kms_encrypted_password = var.kms_encrypted_password
  kms_encryption_context = var.kms_encryption_context
  lifecycle_hook_name = var.lifecycle_hook_name
  lifecycle_transition = var.lifecycle_transition
  loadbalancer_ids = var.loadbalancer_ids
  max_size = var.max_size
  memory_size = var.memory_size
  min_size = var.min_size
  mns_queue_name = var.mns_queue_name
  mns_topic_name = var.mns_topic_name
  multi_az_policy = var.multi_az_policy
  notification_metadata = var.notification_metadata
  on_demand_base_capacity = var.on_demand_base_capacity
  on_demand_percentage_above_base_capacity = var.on_demand_percentage_above_base_capacity
  password = var.password
  password_inherit = var.password_inherit
  profile = var.profile
  rds_name_regex = var.rds_name_regex
  rds_tags = var.rds_tags
  region = var.region
  removal_policies = var.removal_policies
  role_name = var.role_name
  scaling_configuration_name = var.scaling_configuration_name
  scaling_group_id = var.scaling_group_id
  scaling_group_name = var.scaling_group_name
  security_group_id = var.security_group_id
  security_group_ids = var.security_group_ids
  sg_name_regex = var.sg_name_regex
  sg_tags = var.sg_tags
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  slb_name_regex = var.slb_name_regex
  slb_tags = var.slb_tags
  spot_instance_pools = var.spot_instance_pools
  spot_instance_remedy = var.spot_instance_remedy
  system_disk_category = var.system_disk_category
  system_disk_size = var.system_disk_size
  tags = var.tags
  user_data = var.user_data
  vswitch_ids = var.vswitch_ids
  vswitch_name_regex = var.vswitch_name_regex
  vswitch_tags = var.vswitch_tags
}
